POST api/userapi/add
Request Information
URI Parameters
None.
Body Parameters
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| is_supervisor | boolean |
Required |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "d5723c1c-b1ba-4857-81a0-3075c6a497a9"
},
{
"code": "sample string 1",
"id": "d5723c1c-b1ba-4857-81a0-3075c6a497a9"
}
],
"isFromWpf": true,
"sites": [
{
"id": "bf0e2f2c-1297-4c55-a936-6a9bc62a89dc",
"customer_id": "02fb1b99-435c-4f28-9d8e-ec33e8f357e2",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "61475273-0f9a-49e9-b242-80522498491c"
},
{
"id": "bf0e2f2c-1297-4c55-a936-6a9bc62a89dc",
"customer_id": "02fb1b99-435c-4f28-9d8e-ec33e8f357e2",
"dB_ip": "sample string 3",
"dB_name": "sample string 4",
"dB_user": "sample string 5",
"dB_password": "sample string 6",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 7",
"number": 1,
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"site_analysis_count": 1,
"active": true,
"address": "sample string 8",
"city": "sample string 9",
"zip_code": "sample string 10",
"country": "sample string 11",
"selected_sticker_id": "61475273-0f9a-49e9-b242-80522498491c"
}
],
"locks": [
{
"id": "303446b5-d4f3-406d-ada1-7a38b903ae22",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "e9c43d36-6393-46da-8bd1-f8250def4766",
"guard_id": "65f9a5a9-f4d7-4f2b-ac6b-7a4fe105d296",
"active": true
},
{
"id": "303446b5-d4f3-406d-ada1-7a38b903ae22",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "e9c43d36-6393-46da-8bd1-f8250def4766",
"guard_id": "65f9a5a9-f4d7-4f2b-ac6b-7a4fe105d296",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "58abae8a-a286-4992-bbd3-b42df6a3cbc0",
"firstname": "sample string 11",
"id": "541fbeed-1c41-4855-9537-67ace1998a54",
"is_supervisor": true,
"language_code": "sample string 14",
"lastname": "sample string 15",
"mail": "sample string 16",
"operator_code": "sample string 17",
"operator_password": "sample string 18",
"phone": "sample string 19",
"webapp_password_last_update": "2026-06-09T05:34:05.9076702+00:00",
"role_id": "8832a156-e679-440b-bf90-3830b70103da"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>58abae8a-a286-4992-bbd3-b42df6a3cbc0</customer_id>
<firstname>sample string 11</firstname>
<id>541fbeed-1c41-4855-9537-67ace1998a54</id>
<is_supervisor>true</is_supervisor>
<language_code>sample string 14</language_code>
<lastname>sample string 15</lastname>
<mail>sample string 16</mail>
<operator_code>sample string 17</operator_code>
<operator_password>sample string 18</operator_password>
<phone>sample string 19</phone>
<role_id>8832a156-e679-440b-bf90-3830b70103da</role_id>
<webapp_password_last_update>2026-06-09T05:34:05.9076702+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>e9c43d36-6393-46da-8bd1-f8250def4766</distribution_id>
<guard_id>65f9a5a9-f4d7-4f2b-ac6b-7a4fe105d296</guard_id>
<id>303446b5-d4f3-406d-ada1-7a38b903ae22</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>e9c43d36-6393-46da-8bd1-f8250def4766</distribution_id>
<guard_id>65f9a5a9-f4d7-4f2b-ac6b-7a4fe105d296</guard_id>
<id>303446b5-d4f3-406d-ada1-7a38b903ae22</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>d5723c1c-b1ba-4857-81a0-3075c6a497a9</ID>
<code>sample string 1</code>
</right>
<right>
<ID>d5723c1c-b1ba-4857-81a0-3075c6a497a9</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>02fb1b99-435c-4f28-9d8e-ec33e8f357e2</customer_id>
<id>bf0e2f2c-1297-4c55-a936-6a9bc62a89dc</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>61475273-0f9a-49e9-b242-80522498491c</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
<site>
<DB_ip>sample string 3</DB_ip>
<DB_name>sample string 4</DB_name>
<DB_password>sample string 6</DB_password>
<DB_user>sample string 5</DB_user>
<active>true</active>
<address>sample string 8</address>
<city>sample string 9</city>
<country>sample string 11</country>
<customer_id>02fb1b99-435c-4f28-9d8e-ec33e8f357e2</customer_id>
<id>bf0e2f2c-1297-4c55-a936-6a9bc62a89dc</id>
<name>sample string 7</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>61475273-0f9a-49e9-b242-80522498491c</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 10</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"6323f1a3-7bd9-4f6b-88c7-8de111b3fbe6"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6323f1a3-7bd9-4f6b-88c7-8de111b3fbe6</guid>